Bug 8214 - Create a bound with function
Summary: Create a bound with function
Status: REOPENED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Galen Charlton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-08 20:34 UTC by SJeffery
Modified: 2017-12-06 22:17 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description SJeffery 2012-06-08 20:34:21 UTC
There are occassionally multiple distinct monographs which are bound together. Koha currently lacks a good way to handle these items.

Examples:
1. US Geological Survey Bulletins 12 and 13 are bound into one volume. Each was originally published separately, have their own OCLC records, etc.

2. Eight pamphlets on soccer are bound together. Each was published separately but were bound together. They each have separate publishers and records.

The key features of this would be:
* All the items would have the same barcode.
* There would be some sort of item-level display indicating what it was bound with.
* All the items would have the same call number.
* It would not be necessary to create an additional "ghost" record to hold the sub-records.
Comment 1 Katrin Fischer 2013-04-14 08:50:57 UTC
I think EasyAnalytics would do most of what you want. The one existing item will show with all related information (call number, availability, etc.) on all records that are connected to it. 

There is a need for a record, that actually has the item, but this record could be the first record in the bound volume or a collection record.

Closing this, please reopen if I was too fast.
Comment 2 SJeffery 2013-04-26 22:56:46 UTC
While it is possible to accomplish this task in the most basic of ways with the current Koha version, that is not the intent of this ticket. This is a feature commonly available in other catalog software that needs to be coded into Koha at some point.
Comment 3 Chris Cormack 2013-04-27 06:23:03 UTC
(In reply to comment #2)
> While it is possible to accomplish this task in the most basic of ways with
> the current Koha version, that is not the intent of this ticket. This is a
> feature commonly available in other catalog software that needs to be coded
> into Koha at some point.

Nothing 'needs' to be done, of course if it is a feature you really want you can send a patch, or hire someone to do it. Or ask really nicely for someone to give up their time to do it for you.
Comment 4 Chris Cormack 2013-04-27 06:23:59 UTC
Also barcode is unique, so this feature as described won't work.
Comment 5 SJeffery 2013-04-27 14:48:48 UTC
(In reply to comment #4)
> Also barcode is unique, so this feature as described won't work.

It could be that the way it is implemented on the back end is different than described above. For example, an auto-generated barcode might be used. The link below describes the workflow in one ILS.

https://staff.lib.ncsu.edu/confluence/display/MNC/Bound-with+Feature+with+Examples
Comment 6 Chris Cormack 2013-04-27 20:15:25 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > Also barcode is unique, so this feature as described won't work.
> 
> It could be that the way it is implemented on the back end is different than
> described above. For example, an auto-generated barcode might be used. The
> link below describes the workflow in one ILS.
> 
> https://staff.lib.ncsu.edu/confluence/display/MNC/Bound-
> with+Feature+with+Examples

I look forward to seeing your patch then
Comment 7 Jon Knight 2017-12-06 17:00:44 UTC
I'm looking at some of the old reopened bug reports in Koha.  I wonder if this one could be thought of as similar to Bug 11175, which is talking about searching "host" records and showing their "child" component parts? That sounds terribly similar to searching for the bound USGS volume (the "host" record) and showing details of bulletins 12 and 13 inside it (the "child" records).

If 11175 is covering the same ground as this patch, could we mark this one as a duplicate, as 11175 seems to be further along and has patches (although the code will need rebasing if it is to get into master)?
Comment 8 Katrin Fischer 2017-12-06 22:17:09 UTC
There is a difference:

"Bound withs" are on item level. The library might have something twice, but once it's bound with something else and once it's on its own. That can happen especially in libraries with old and rare books.

bug 11175 is talking about showing relationships between bibliographic records, so it's on a different level. For example in Germany for a multi volume work you'd usually have a 'set record' that represents the whole work and then a record for each volume. They are tied together using 7xx and 8xx. The goal of bug 11175 would then be to show the volume records on the set record.